Name:		check_equallogic
Version:	20151126
Release:	1.21
Url:		http://www.claudiokuenzler.com/nagios-plugins/check_equallogic.php
Group:		Applications/System
Summary:	DELL Equallogic nagios/icinga plugin
License:	GPL
Source0:	check_equallogic
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch
BuildRequires:	nagios-plugins
BuildRequires:	gawk coreutils net-snmp grep
Requires:	gawk coreutils net-snmp grep
Provides:	nagios-plugins-check_equallogic = %{version}-%{release}

%description
Nagios/Icinga plugin to check hardware of DELL Equallogic systems.


%prep
%setup -c -T
cp %{S:0} .

%build

%install
%__install -D -m755 check_equallogic %{buildroot}%{_prefix}/lib/nagios/plugins/check_equallogic

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/nagios
%{_prefix}/lib/nagios/plugins/check_equallogic

%changelog
* Fri Nov 27 2015 cs@linux-administrator.com
- update to release 20151126
  * Bugfix in memberusage and poolusage checks (missing newline)
* Mon Oct 12 2015 cs@linux-administrator.com
- update to release 20151006
  * Bugfix in vol check if volume not found
* Tue Feb  3 2015 cs@linux-administrator.com
- update to release 20150203
  * Bugfix in vol check in percentage calculation
* Mon Jul 28 2014 cs@linux-administrator.com
- update to release 20140711
  * Added snmp connection check function
* Fri Jun 27 2014 cs@linux-administrator.com
- update to release 20140626
  * Bugfix in etherrors check
* Thu Dec 19 2013 cs@linux-administrator.com
- update to release 20131219
  * Bugfix in poolusage check when a pool was not used (0 size)
* Fri Nov 22 2013 cs@linux-administrator.com
- update to release 20131122
  * Bugfix in vol check when volumes spread across members
* Mon Oct 28 2013 cs@linux-administrator.com
- update to release 20131025
  * optical cleanup
* Fri Oct 25 2013 cs@linux-administrator.com
- update to release 20131024
  * Bugfix in temp check (Backplane_sensor_0 was not shown)
* Tue Aug  6 2013 cs@linux-administrator.com
- update to release 20130728
  * added copy to spare raid status
* Sat Dec 29 2012 cs@linux-administrator.com
- update to release 20121228
  * ps type now also checks for failed power supply fans
* Tue Dec  4 2012 cs@linux-administrator.com
- update to release 20121204
  * Changed raid percentage output when multiple members around
* Sat Nov 17 2012 cs@linux-administrator.com
- update to release 20120913
* Tue Feb 28 2012 cs@linux-administrator.com
- update to release 20120125
* Fri Dec  2 2011 cs@linux-administrator.com
- initial package
